server {
    listen 192.168.1.2:80;

    set_real_ip_from 127.0.0.1;
    set_real_ip_from 192.168.1.2;
    set_real_ip_from 89.33.25.234/32;
    real_ip_header CF-Connecting-IP;

    #Logging
    access_log /var/log/nginx/fl.898.ro.access.log;
    error_log /var/log/nginx/fl.898.ro.error.log;

    server_name fl.898.ro fl2.898.ro;

    location / {
        proxy_pass http://89.33.25.234:7082;
        proxy_http_version 1.1;
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection 'upgrade';
        proxy_set_header Host $host;
        proxy_cache_bypass $http_upgrade;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }

    location /api {
        proxy_pass http://89.33.25.234:7082;
    }

}
